Skip to main content
GET
/
brains
/
{id}
/
containers
/
{containerId}
Get a container
curl --request GET \
  --url https://versuno.ai/api/public/brains/{id}/containers/{containerId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://versuno.ai/api/public/brains/{id}/containers/{containerId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://versuno.ai/api/public/brains/{id}/containers/{containerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://versuno.ai/api/public/brains/{id}/containers/{containerId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}


HttpResponse<String> response = Unirest.get("https://versuno.ai/api/public/brains/{id}/containers/{containerId}")
.header("Authorization", "<api-key>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://versuno.ai/api/public/brains/{id}/containers/{containerId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "id": "e5f6a7b8-c9d0-1234-ef01-567890123456",
  "brainId": "d4e5f6a7-b8c9-0123-def0-456789012345",
  "name": "Routing",
  "canonicalName": "routing",
  "description": "Pages, layouts, and navigation.",
  "parentId": null,
  "createdAt": "2026-06-01T08:05:00.000Z"
}
{
"error": "Invalid API key"
}

Authorizations

Authorization
string
header
default:Bearer uk_live_your_api_key_here
required

Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...

Path Parameters

id
string<uuid>
required

ID of the brain.

containerId
string<uuid>
required

ID of the container.

Response

The container object.

A container — a folder/group node that organises nodes within a brain.

id
string<uuid>

Unique identifier for the container.

Example:

"e5f6a7b8-c9d0-1234-ef01-567890123456"

brainId
string<uuid>

ID of the brain this container belongs to.

Example:

"d4e5f6a7-b8c9-0123-def0-456789012345"

name
string

Display name of the container.

Example:

"Routing"

canonicalName
string

Stable, canonical name of the container.

Example:

"routing"

description
string | null

Short summary of the container, or null.

Example:

"Pages, layouts, and navigation."

parentId
string<uuid> | null

ID of the parent container, or null for a top-level container.

Example:

null

createdAt
string<date-time>

When the container was created.

Example:

"2026-06-01T08:05:00.000Z"